Subject: eieio :method-invocation-order inoperative

From: Daniel Colascione <[email-masked]>
Date: Mon, 24 Feb 2025 23:46:10 -0500

The :method-invocation-order mechanism in the EIEIO docs doesn't seem to
do anything anymore, perhaps because the generic function mechanism is
now integrated into the core. We should either fix it or (more likely,
because we'd otherwise need to support non-default CLOS method
combinators) remove it from the manual and emit a deprecation warning
when somebody tries to use it.